Skip to main content
`Ctrl`+`K`

# Sanitizer_ResourceLogicalEndpointData

struct Sanitizer_ResourceLogicalEndpointData

  Data passed into a logical endpoint resource callback function.

  Data passed into a logical endpoint resource callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_RESOURCE and `cbid` equal to SANITIZER_CBID_RESOURCE_LOGICAL_ENDPOINT_CREATED or SANITIZER_CBID_RESOURCE_LOGICAL_ENDPOINT_DESTROYED. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

  Public Members

  uint64_t address

    The device-visible address of the logical endpoint allocation.

  uint64_t size

    The size of the logical endpoint allocation in bytes.